# QChildEvent Class Reference

The QChildEvent class contains event parameters for child widget events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QChildEvent ( int type, QWidget * child )
- QWidget* child () const
- bool inserted () const
- bool removed () const

## Detailed Description

The QChildEvent class contains event parameters for child widget events.

Child events are sent to widgets when children are inserted or removed.

In this release of Qt, no event handlers are defined to receive child events. Reimplement QObject::event() or install an QObject::eventFilter() to handle these events.

## Member Function Documentation

### QChildEvent::QChildEvent ( int type, QWidget * child )

Constructs a child event object.

The type parameter must be either Event_ChildInserted or Event_ChildRemoved.

### QWidget * QChildEvent::child () const

Returns the child widget inserted or removed.

### bool QChildEvent::inserted () const

Returns TRUE if the widget received a new child.

### bool QChildEvent::removed () const

Returns TRUE if the widget lost a child.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qevent.h: 1998/10/05
- qdnd_x11.cpp: 1998/12/17
- qevent.cpp: 1999/01/13